/* */

comment.   = ''
comment.1  = '// VSDDLL, PDDNAME, DSP Load Type'
comment.2  = '// 1= Load DSP only'
comment.3  = '// 2= Load DSP with MPEG stream info at front'


outfile    = 'VSDOM1.INI'

info.      = ''
info.1.dll = 'VIDVCI'
info.1.pdd = 'VIDRMS1'
info.1.dsp = '1'
info.2.dll = 'VIDVCI'
info.2.pdd = 'VIDRMP1'
info.2.dsp = '1'
info.3.dll = 'TRIDVSD'
info.3.pdd = 'VIDMP21'
info.3.dsp = '1'
info.4.dll = 'VIDVCI'
info.4.pdd = 'VIDMPG1'
info.4.dsp = '1'
info.5.dll = 'VIDVCI'
info.5.pdd = 'VIDZRN1'
info.5.dsp = '2'

mmbase = value( 'MMBASE', , 'OS2ENVIRONMENT' )

if right( mmbase, 1 ) = ';' then mmbase = left( mmbase, length(mmbase)-1 )

i = 1
found = 0

do while info.i.dll <> '' & found = 0
  say mmbase'\'info.i.pdd'.INI'
  if stream( mmbase'\'info.i.pdd'.INI', 'C', 'QUERY EXISTS' ) <> '' then
    found = 1
  else
    i = i + 1
end

if found then
  do
  outfile = mmbase'\'outfile
  '@del' outfile '>NUL: 2>&1'
  line = left( 'VSD='info.i.dll','info.i.pdd'$,'info.i.dsp, 35)||comment.1
  call lineout outfile, line
  call lineout outfile, left( ' ', 35 )||comment.2
  call lineout outfile, left( ' ', 35 )||comment.3
  end

exit 0
